---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-05-24T11:13:18Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://09dd83dc-cf7b-4c0c-bf0f-2c4c09028b6e"
documentDescribes:
- "SPDXRef-Project-Cargo-commons.zenoh-buffers.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-cfg-properties.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-codec.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-collections.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-config.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-core.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-crypto.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-keyexpr.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-macros.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-protocol.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-result.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-shm.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-sync.Cargo.toml"
- "SPDXRef-Project-Cargo-commons.zenoh-util.Cargo.toml"
- "SPDXRef-Project-Cargo-examples.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-link-commons.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-link.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-quic.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-serial.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-tcp.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-tls.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-udp.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-unixsock-stream.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-ws.Cargo.toml"
- "SPDXRef-Project-Cargo-io.zenoh-transport.Cargo.toml"
- "SPDXRef-Project-Cargo-nostd-check-0.1.0"
- "SPDXRef-Project-Cargo-plugins.example-plugin.Cargo.toml"
- "SPDXRef-Project-Cargo-plugins.zenoh-backend-traits.Cargo.toml"
- "SPDXRef-Project-Cargo-plugins.zenoh-plugin-rest.Cargo.toml"
- "SPDXRef-Project-Cargo-plugins.zenoh-plugin-storage-manager.Cargo.toml"
- "SPDXRef-Project-Cargo-plugins.zenoh-plugin-trait.Cargo.toml"
- "SPDXRef-Project-Cargo-zenoh-ext.Cargo.toml"
- "SPDXRef-Project-Cargo-zenoh.Cargo.toml"
- "SPDXRef-Project-Cargo-zenohd.Cargo.toml"
packages:
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-buffers.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-buffers/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-cfg-properties.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-cfg-properties/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-codec.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-codec/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-collections.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-collections/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-config.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-config/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-core.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-core/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-crypto.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-crypto/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-keyexpr.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-keyexpr/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-macros.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-macros/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-protocol.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-protocol/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-result.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-result/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-shm.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-shm/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-sync.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-sync/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-commons.zenoh-util.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons/zenoh-util/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-examples.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "examples/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-link-commons.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-link-commons/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-link.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-link/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-quic.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-links/zenoh-link-quic/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-serial.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-links/zenoh-link-serial/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-tcp.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-links/zenoh-link-tcp/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-tls.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-links/zenoh-link-tls/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-udp.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-links/zenoh-link-udp/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-unixsock-stream.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-links/zenoh-link-unixsock_stream/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-links.zenoh-link-ws.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-links/zenoh-link-ws/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-io.zenoh-transport.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "io/zenoh-transport/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-nostd-check-0.1.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "http://zenoh.io"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0 OR Apache-2.0"
  name: "nostd-check"
  summary: "NONE"
  versionInfo: "0.1.0"
- SPDXID: "SPDXRef-Project-Cargo-plugins.example-plugin.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "plugins/example-plugin/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-plugins.zenoh-backend-traits.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "plugins/zenoh-backend-traits/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-plugins.zenoh-plugin-rest.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "plugins/zenoh-plugin-rest/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-plugins.zenoh-plugin-storage-manager.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "plugins/zenoh-plugin-storage-manager/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-plugins.zenoh-plugin-trait.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "plugins/zenoh-plugin-trait/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-zenoh-ext.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "zenoh-ext/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-zenoh.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "zenoh/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Project-Cargo-zenohd.Cargo.toml"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "zenohd/Cargo.toml"
  summary: "NONE"
- SPDXID: "SPDXRef-Package-Crate-ahash-0.8.3"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/ahash@0.8.3"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "ahash"
  summary: "A non-cryptographic hash function using AES-NI for high performance"
  versionInfo: "0.8.3"
- SPDXID: "SPDXRef-Package-Crate-ahash-0.8.3-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/tkaitchuck/ahash.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/ahash@0.8.3"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "ahash"
  summary: "A non-cryptographic hash function using AES-NI for high performance"
  versionInfo: "0.8.3"
- SPDXID: "SPDXRef-Package-Crate-ahash-0.8.3-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/ahash/0.8.3/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/ahash@0.8.3"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "ahash"
  summary: "A non-cryptographic hash function using AES-NI for high performance"
  versionInfo: "0.8.3"
- SPDXID: "SPDXRef-Package-Crate-anyhow-1.0.70"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/anyhow@1.0.70"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "anyhow"
  summary: "Flexible concrete Error type built on std::error::Error"
  versionInfo: "1.0.70"
- SPDXID: "SPDXRef-Package-Crate-anyhow-1.0.70-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/dtolnay/anyhow.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/anyhow@1.0.70"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "anyhow"
  summary: "Flexible concrete Error type built on std::error::Error"
  versionInfo: "1.0.70"
- SPDXID: "SPDXRef-Package-Crate-anyhow-1.0.70-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/anyhow/1.0.70/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/anyhow@1.0.70"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "anyhow"
  summary: "Flexible concrete Error type built on std::error::Error"
  versionInfo: "1.0.70"
- SPDXID: "SPDXRef-Package-Crate-cfg-if-1.0.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/cfg-if@1.0.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "cfg-if"
  summary: "A macro to ergonomically define an item depending on a large number of\
    \ #[cfg]\nparameters. Structured like an if-else chain, the first matching branch\
    \ is the\nitem that gets emitted.\n"
  versionInfo: "1.0.0"
- SPDXID: "SPDXRef-Package-Crate-cfg-if-1.0.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/alexcrichton/cfg-if.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/cfg-if@1.0.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "cfg-if"
  summary: "A macro to ergonomically define an item depending on a large number of\
    \ #[cfg]\nparameters. Structured like an if-else chain, the first matching branch\
    \ is the\nitem that gets emitted.\n"
  versionInfo: "1.0.0"
- SPDXID: "SPDXRef-Package-Crate-cfg-if-1.0.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/cfg-if/1.0.0/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/cfg-if@1.0.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "cfg-if"
  summary: "A macro to ergonomically define an item depending on a large number of\
    \ #[cfg]\nparameters. Structured like an if-else chain, the first matching branch\
    \ is the\nitem that gets emitted.\n"
  versionInfo: "1.0.0"
- SPDXID: "SPDXRef-Package-Crate-getrandom-0.2.8"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/getrandom@0.2.8"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "getrandom"
  summary: "A small cross-platform library for retrieving random data from system\
    \ source"
  versionInfo: "0.2.8"
- SPDXID: "SPDXRef-Package-Crate-getrandom-0.2.8-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/rust-random/getrandom.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/getrandom@0.2.8"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "getrandom"
  summary: "A small cross-platform library for retrieving random data from system\
    \ source"
  versionInfo: "0.2.8"
- SPDXID: "SPDXRef-Package-Crate-getrandom-0.2.8-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/getrandom/0.2.8/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/getrandom@0.2.8"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "getrandom"
  summary: "A small cross-platform library for retrieving random data from system\
    \ source"
  versionInfo: "0.2.8"
- SPDXID: "SPDXRef-Package-Crate-hashbrown-0.13.2"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/hashbrown@0.13.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "hashbrown"
  summary: "A Rust port of Google's SwissTable hash map"
  versionInfo: "0.13.2"
- SPDXID: "SPDXRef-Package-Crate-hashbrown-0.13.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/rust-lang/hashbrown.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/hashbrown@0.13.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "hashbrown"
  summary: "A Rust port of Google's SwissTable hash map"
  versionInfo: "0.13.2"
- SPDXID: "SPDXRef-Package-Crate-hashbrown-0.13.2-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/hashbrown/0.13.2/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/hashbrown@0.13.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "hashbrown"
  summary: "A Rust port of Google's SwissTable hash map"
  versionInfo: "0.13.2"
- SPDXID: "SPDXRef-Package-Crate-hex-0.4.3"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/hex@0.4.3"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "hex"
  summary: "Encoding and decoding data into/from hexadecimal representation."
  versionInfo: "0.4.3"
- SPDXID: "SPDXRef-Package-Crate-hex-0.4.3-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/KokaKiwi/rust-hex.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/hex@0.4.3"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "hex"
  summary: "Encoding and decoding data into/from hexadecimal representation."
  versionInfo: "0.4.3"
- SPDXID: "SPDXRef-Package-Crate-hex-0.4.3-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/hex/0.4.3/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/hex@0.4.3"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "hex"
  summary: "Encoding and decoding data into/from hexadecimal representation."
  versionInfo: "0.4.3"
- SPDXID: "SPDXRef-Package-Crate-keyed-set-0.4.5"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/keyed-set@0.4.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "keyed-set"
  summary: "Keyed Set: a hashbrown-based HashSet that indexes based on projections\
    \ of its elements."
  versionInfo: "0.4.5"
- SPDXID: "SPDXRef-Package-Crate-keyed-set-0.4.5-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/p-avital/keyed-set-rs.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/keyed-set@0.4.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "keyed-set"
  summary: "Keyed Set: a hashbrown-based HashSet that indexes based on projections\
    \ of its elements."
  versionInfo: "0.4.5"
- SPDXID: "SPDXRef-Package-Crate-keyed-set-0.4.5-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/keyed-set/0.4.5/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/keyed-set@0.4.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "keyed-set"
  summary: "Keyed Set: a hashbrown-based HashSet that indexes based on projections\
    \ of its elements."
  versionInfo: "0.4.5"
- SPDXID: "SPDXRef-Package-Crate-libc-0.2.140"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/libc@0.2.140"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "libc"
  summary: "Raw FFI bindings to platform libraries like libc.\n"
  versionInfo: "0.2.140"
- SPDXID: "SPDXRef-Package-Crate-libc-0.2.140-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/rust-lang/libc.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/libc@0.2.140"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "libc"
  summary: "Raw FFI bindings to platform libraries like libc.\n"
  versionInfo: "0.2.140"
- SPDXID: "SPDXRef-Package-Crate-libc-0.2.140-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/libc/0.2.140/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/libc@0.2.140"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "libc"
  summary: "Raw FFI bindings to platform libraries like libc.\n"
  versionInfo: "0.2.140"
- SPDXID: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/linked_list_allocator@0.10.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "linked_list_allocator"
  summary: "Simple allocator usable for no_std systems. It builds a linked list from\
    \ the freed blocks and thus needs no additional data structures."
  versionInfo: "0.10.5"
- SPDXID: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/phil-opp/linked-list-allocator.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/linked_list_allocator@0.10.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "linked_list_allocator"
  summary: "Simple allocator usable for no_std systems. It builds a linked list from\
    \ the freed blocks and thus needs no additional data structures."
  versionInfo: "0.10.5"
- SPDXID: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/linked_list_allocator/0.10.5/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/linked_list_allocator@0.10.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "linked_list_allocator"
  summary: "Simple allocator usable for no_std systems. It builds a linked list from\
    \ the freed blocks and thus needs no additional data structures."
  versionInfo: "0.10.5"
- SPDXID: "SPDXRef-Package-Crate-lock-api-0.4.9"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/lock_api@0.4.9"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "lock_api"
  summary: "Wrappers to create fully-featured Mutex and RwLock types. Compatible with\
    \ no_std."
  versionInfo: "0.4.9"
- SPDXID: "SPDXRef-Package-Crate-lock-api-0.4.9-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/Amanieu/parking_lot.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/lock_api@0.4.9"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "lock_api"
  summary: "Wrappers to create fully-featured Mutex and RwLock types. Compatible with\
    \ no_std."
  versionInfo: "0.4.9"
- SPDXID: "SPDXRef-Package-Crate-lock-api-0.4.9-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/lock_api/0.4.9/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/lock_api@0.4.9"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "lock_api"
  summary: "Wrappers to create fully-featured Mutex and RwLock types. Compatible with\
    \ no_std."
  versionInfo: "0.4.9"
- SPDXID: "SPDXRef-Package-Crate-once-cell-1.17.1"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/once_cell@1.17.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "once_cell"
  summary: "Single assignment cells and lazy values."
  versionInfo: "1.17.1"
- SPDXID: "SPDXRef-Package-Crate-once-cell-1.17.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/matklad/once_cell.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/once_cell@1.17.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "once_cell"
  summary: "Single assignment cells and lazy values."
  versionInfo: "1.17.1"
- SPDXID: "SPDXRef-Package-Crate-once-cell-1.17.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/once_cell/1.17.1/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/once_cell@1.17.1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "once_cell"
  summary: "Single assignment cells and lazy values."
  versionInfo: "1.17.1"
- SPDXID: "SPDXRef-Package-Crate-paste-1.0.12"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/paste@1.0.12"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "paste"
  summary: "Macros for all your token pasting needs"
  versionInfo: "1.0.12"
- SPDXID: "SPDXRef-Package-Crate-paste-1.0.12-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/dtolnay/paste.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/paste@1.0.12"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "paste"
  summary: "Macros for all your token pasting needs"
  versionInfo: "1.0.12"
- SPDXID: "SPDXRef-Package-Crate-paste-1.0.12-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/paste/1.0.12/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/paste@1.0.12"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "paste"
  summary: "Macros for all your token pasting needs"
  versionInfo: "1.0.12"
- SPDXID: "SPDXRef-Package-Crate-proc-macro2-1.0.54"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/proc-macro2@1.0.54"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "proc-macro2"
  summary: "A substitute implementation of the compiler's `proc_macro` API to decouple\
    \ token-based libraries from the procedural macro use case."
  versionInfo: "1.0.54"
- SPDXID: "SPDXRef-Package-Crate-proc-macro2-1.0.54-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/dtolnay/proc-macro2.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/proc-macro2@1.0.54"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "proc-macro2"
  summary: "A substitute implementation of the compiler's `proc_macro` API to decouple\
    \ token-based libraries from the procedural macro use case."
  versionInfo: "1.0.54"
- SPDXID: "SPDXRef-Package-Crate-proc-macro2-1.0.54-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/proc-macro2/1.0.54/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/proc-macro2@1.0.54"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "proc-macro2"
  summary: "A substitute implementation of the compiler's `proc_macro` API to decouple\
    \ token-based libraries from the procedural macro use case."
  versionInfo: "1.0.54"
- SPDXID: "SPDXRef-Package-Crate-quote-1.0.26"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/quote@1.0.26"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "quote"
  summary: "Quasi-quoting macro quote!(...)"
  versionInfo: "1.0.26"
- SPDXID: "SPDXRef-Package-Crate-quote-1.0.26-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/dtolnay/quote.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/quote@1.0.26"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "quote"
  summary: "Quasi-quoting macro quote!(...)"
  versionInfo: "1.0.26"
- SPDXID: "SPDXRef-Package-Crate-quote-1.0.26-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/quote/1.0.26/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/quote@1.0.26"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "quote"
  summary: "Quasi-quoting macro quote!(...)"
  versionInfo: "1.0.26"
- SPDXID: "SPDXRef-Package-Crate-scopeguard-1.1.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/scopeguard@1.1.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "scopeguard"
  summary: "A RAII scope guard that will run a given closure when it goes out of scope,\n\
    even if the code between panics (assuming unwinding panic).\n\nDefines the macros\
    \ `defer!`, `defer_on_unwind!`, `defer_on_success!` as\nshorthands for guards\
    \ with one of the implemented strategies.\n"
  versionInfo: "1.1.0"
- SPDXID: "SPDXRef-Package-Crate-scopeguard-1.1.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/bluss/scopeguard.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/scopeguard@1.1.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "scopeguard"
  summary: "A RAII scope guard that will run a given closure when it goes out of scope,\n\
    even if the code between panics (assuming unwinding panic).\n\nDefines the macros\
    \ `defer!`, `defer_on_unwind!`, `defer_on_success!` as\nshorthands for guards\
    \ with one of the implemented strategies.\n"
  versionInfo: "1.1.0"
- SPDXID: "SPDXRef-Package-Crate-scopeguard-1.1.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/scopeguard/1.1.0/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/scopeguard@1.1.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "scopeguard"
  summary: "A RAII scope guard that will run a given closure when it goes out of scope,\n\
    even if the code between panics (assuming unwinding panic).\n\nDefines the macros\
    \ `defer!`, `defer_on_unwind!`, `defer_on_success!` as\nshorthands for guards\
    \ with one of the implemented strategies.\n"
  versionInfo: "1.1.0"
- SPDXID: "SPDXRef-Package-Crate-serde-1.0.158"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/serde@1.0.158"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "serde"
  summary: "A generic serialization/deserialization framework"
  versionInfo: "1.0.158"
- SPDXID: "SPDXRef-Package-Crate-serde-1.0.158-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/serde-rs/serde.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/serde@1.0.158"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "serde"
  summary: "A generic serialization/deserialization framework"
  versionInfo: "1.0.158"
- SPDXID: "SPDXRef-Package-Crate-serde-1.0.158-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/serde/1.0.158/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/serde@1.0.158"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "serde"
  summary: "A generic serialization/deserialization framework"
  versionInfo: "1.0.158"
- SPDXID: "SPDXRef-Package-Crate-serde-derive-1.0.158"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/serde_derive@1.0.158"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "serde_derive"
  summary: "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]"
  versionInfo: "1.0.158"
- SPDXID: "SPDXRef-Package-Crate-serde-derive-1.0.158-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/serde-rs/serde.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/serde_derive@1.0.158"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "serde_derive"
  summary: "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]"
  versionInfo: "1.0.158"
- SPDXID: "SPDXRef-Package-Crate-serde-derive-1.0.158-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/serde_derive/1.0.158/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/serde_derive@1.0.158"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "serde_derive"
  summary: "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]"
  versionInfo: "1.0.158"
- SPDXID: "SPDXRef-Package-Crate-spin-0.9.6"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/spin@0.9.6"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "spin"
  summary: "Spin-based synchronization primitives"
  versionInfo: "0.9.6"
- SPDXID: "SPDXRef-Package-Crate-spin-0.9.6-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/mvdnes/spin-rs.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/spin@0.9.6"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "spin"
  summary: "Spin-based synchronization primitives"
  versionInfo: "0.9.6"
- SPDXID: "SPDXRef-Package-Crate-spin-0.9.6-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/spin/0.9.6/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/spin@0.9.6"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "spin"
  summary: "Spin-based synchronization primitives"
  versionInfo: "0.9.6"
- SPDXID: "SPDXRef-Package-Crate-spinning-top-0.2.5"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/spinning_top@0.2.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "spinning_top"
  summary: "A simple spinlock crate based on the abstractions provided by `lock_api`."
  versionInfo: "0.2.5"
- SPDXID: "SPDXRef-Package-Crate-spinning-top-0.2.5-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/rust-osdev/spinning_top.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/spinning_top@0.2.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "spinning_top"
  summary: "A simple spinlock crate based on the abstractions provided by `lock_api`."
  versionInfo: "0.2.5"
- SPDXID: "SPDXRef-Package-Crate-spinning-top-0.2.5-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/spinning_top/0.2.5/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/spinning_top@0.2.5"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "spinning_top"
  summary: "A simple spinlock crate based on the abstractions provided by `lock_api`."
  versionInfo: "0.2.5"
- SPDXID: "SPDXRef-Package-Crate-syn-2.0.10"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/syn@2.0.10"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "syn"
  summary: "Parser for Rust source code"
  versionInfo: "2.0.10"
- SPDXID: "SPDXRef-Package-Crate-syn-2.0.10-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/dtolnay/syn.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/syn@2.0.10"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "syn"
  summary: "Parser for Rust source code"
  versionInfo: "2.0.10"
- SPDXID: "SPDXRef-Package-Crate-syn-2.0.10-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/syn/2.0.10/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/syn@2.0.10"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "syn"
  summary: "Parser for Rust source code"
  versionInfo: "2.0.10"
- SPDXID: "SPDXRef-Package-Crate-token-cell-1.5.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/token-cell@1.5.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "token-cell"
  summary: "A more convenient GhostCell"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Crate-token-cell-1.5.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/p-avital/token-cell-rs.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/token-cell@1.5.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "token-cell"
  summary: "A more convenient GhostCell"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Crate-token-cell-1.5.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/token-cell/1.5.0/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/token-cell@1.5.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "token-cell"
  summary: "A more convenient GhostCell"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Crate-uhlc-0.5.2"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/uhlc@0.5.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR EPL-2.0"
  name: "uhlc"
  summary: "A Unique Hybrid Logical Clock for Rust.\n"
  versionInfo: "0.5.2"
- SPDXID: "SPDXRef-Package-Crate-uhlc-0.5.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/atolab/uhlc-rs.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/uhlc@0.5.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "uhlc"
  summary: "A Unique Hybrid Logical Clock for Rust.\n"
  versionInfo: "0.5.2"
- SPDXID: "SPDXRef-Package-Crate-uhlc-0.5.2-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/uhlc/0.5.2/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/uhlc@0.5.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "uhlc"
  summary: "A Unique Hybrid Logical Clock for Rust.\n"
  versionInfo: "0.5.2"
- SPDXID: "SPDXRef-Package-Crate-unicode-ident-1.0.8"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/unicode-ident@1.0.8"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "(Apache-2.0 OR MIT) AND Unicode-DFS-2016"
  name: "unicode-ident"
  summary: "Determine whether characters have the XID_Start or XID_Continue properties\
    \ according to Unicode Standard Annex #31"
  versionInfo: "1.0.8"
- SPDXID: "SPDXRef-Package-Crate-unicode-ident-1.0.8-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/dtolnay/unicode-ident.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/unicode-ident@1.0.8"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "unicode-ident"
  summary: "Determine whether characters have the XID_Start or XID_Continue properties\
    \ according to Unicode Standard Annex #31"
  versionInfo: "1.0.8"
- SPDXID: "SPDXRef-Package-Crate-unicode-ident-1.0.8-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/unicode-ident/1.0.8/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/unicode-ident@1.0.8"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "unicode-ident"
  summary: "Determine whether characters have the XID_Start or XID_Continue properties\
    \ according to Unicode Standard Annex #31"
  versionInfo: "1.0.8"
- SPDXID: "SPDXRef-Package-Crate-uuid-1.3.0"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/uuid@1.3.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR MIT"
  name: "uuid"
  summary: "A library to generate and parse UUIDs."
  versionInfo: "1.3.0"
- SPDXID: "SPDXRef-Package-Crate-uuid-1.3.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/uuid-rs/uuid.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/uuid@1.3.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "uuid"
  summary: "A library to generate and parse UUIDs."
  versionInfo: "1.3.0"
- SPDXID: "SPDXRef-Package-Crate-uuid-1.3.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/uuid/1.3.0/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/uuid@1.3.0"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "uuid"
  summary: "A library to generate and parse UUIDs."
  versionInfo: "1.3.0"
- SPDXID: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/wasi@0.11.0%2Bwasi-snapshot-preview1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT"
  name: "wasi"
  summary: "Experimental WASI API bindings for Rust"
  versionInfo: "0.11.0+wasi-snapshot-preview1"
- SPDXID: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/bytecodealliance/wasi.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/wasi@0.11.0%2Bwasi-snapshot-preview1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "wasi"
  summary: "Experimental WASI API bindings for Rust"
  versionInfo: "0.11.0+wasi-snapshot-preview1"
- SPDXID: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://crates.io/api/v1/crates/wasi/0.11.0+wasi-snapshot-preview1/download"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:cargo/wasi@0.11.0%2Bwasi-snapshot-preview1"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "wasi"
  summary: "Experimental WASI API bindings for Rust"
  versionInfo: "0.11.0+wasi-snapshot-preview1"
relationships:
- spdxElementId: "SPDXRef-Package-Crate-ahash-0.8.3"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-cfg-if-1.0.0"
- spdxElementId: "SPDXRef-Package-Crate-ahash-0.8.3"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-once-cell-1.17.1"
- spdxElementId: "SPDXRef-Package-Crate-ahash-0.8.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-ahash-0.8.3-vcs"
- spdxElementId: "SPDXRef-Package-Crate-ahash-0.8.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-ahash-0.8.3-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-anyhow-1.0.70"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-anyhow-1.0.70-vcs"
- spdxElementId: "SPDXRef-Package-Crate-anyhow-1.0.70"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-anyhow-1.0.70-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-cfg-if-1.0.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-cfg-if-1.0.0-vcs"
- spdxElementId: "SPDXRef-Package-Crate-cfg-if-1.0.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-cfg-if-1.0.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-getrandom-0.2.8"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-cfg-if-1.0.0"
- spdxElementId: "SPDXRef-Package-Crate-getrandom-0.2.8"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-libc-0.2.140"
- spdxElementId: "SPDXRef-Package-Crate-getrandom-0.2.8"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1"
- spdxElementId: "SPDXRef-Package-Crate-getrandom-0.2.8"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-getrandom-0.2.8-vcs"
- spdxElementId: "SPDXRef-Package-Crate-getrandom-0.2.8"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-getrandom-0.2.8-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-hashbrown-0.13.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-ahash-0.8.3"
- spdxElementId: "SPDXRef-Package-Crate-hashbrown-0.13.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-hashbrown-0.13.2-vcs"
- spdxElementId: "SPDXRef-Package-Crate-hashbrown-0.13.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-hashbrown-0.13.2-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-hex-0.4.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-hex-0.4.3-vcs"
- spdxElementId: "SPDXRef-Package-Crate-hex-0.4.3"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-hex-0.4.3-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-keyed-set-0.4.5"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-hashbrown-0.13.2"
- spdxElementId: "SPDXRef-Package-Crate-keyed-set-0.4.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-keyed-set-0.4.5-vcs"
- spdxElementId: "SPDXRef-Package-Crate-keyed-set-0.4.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-keyed-set-0.4.5-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-libc-0.2.140"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-libc-0.2.140-vcs"
- spdxElementId: "SPDXRef-Package-Crate-libc-0.2.140"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-libc-0.2.140-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-spinning-top-0.2.5"
- spdxElementId: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5-vcs"
- spdxElementId: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-lock-api-0.4.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-scopeguard-1.1.0"
- spdxElementId: "SPDXRef-Package-Crate-lock-api-0.4.9"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-lock-api-0.4.9-vcs"
- spdxElementId: "SPDXRef-Package-Crate-lock-api-0.4.9"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-lock-api-0.4.9-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-once-cell-1.17.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-once-cell-1.17.1-vcs"
- spdxElementId: "SPDXRef-Package-Crate-once-cell-1.17.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-once-cell-1.17.1-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-paste-1.0.12"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-paste-1.0.12-vcs"
- spdxElementId: "SPDXRef-Package-Crate-paste-1.0.12"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-paste-1.0.12-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-proc-macro2-1.0.54"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-unicode-ident-1.0.8"
- spdxElementId: "SPDXRef-Package-Crate-proc-macro2-1.0.54"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-proc-macro2-1.0.54-vcs"
- spdxElementId: "SPDXRef-Package-Crate-proc-macro2-1.0.54"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-proc-macro2-1.0.54-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-quote-1.0.26"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-proc-macro2-1.0.54"
- spdxElementId: "SPDXRef-Package-Crate-quote-1.0.26"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-quote-1.0.26-vcs"
- spdxElementId: "SPDXRef-Package-Crate-quote-1.0.26"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-quote-1.0.26-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-scopeguard-1.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-scopeguard-1.1.0-vcs"
- spdxElementId: "SPDXRef-Package-Crate-scopeguard-1.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-scopeguard-1.1.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-serde-1.0.158"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-serde-derive-1.0.158"
- spdxElementId: "SPDXRef-Package-Crate-serde-1.0.158"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-serde-1.0.158-vcs"
- spdxElementId: "SPDXRef-Package-Crate-serde-1.0.158"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-serde-1.0.158-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-serde-derive-1.0.158"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-proc-macro2-1.0.54"
- spdxElementId: "SPDXRef-Package-Crate-serde-derive-1.0.158"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-quote-1.0.26"
- spdxElementId: "SPDXRef-Package-Crate-serde-derive-1.0.158"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-syn-2.0.10"
- spdxElementId: "SPDXRef-Package-Crate-serde-derive-1.0.158"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-serde-derive-1.0.158-vcs"
- spdxElementId: "SPDXRef-Package-Crate-serde-derive-1.0.158"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-serde-derive-1.0.158-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-spin-0.9.6"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-spin-0.9.6-vcs"
- spdxElementId: "SPDXRef-Package-Crate-spin-0.9.6"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-spin-0.9.6-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-spinning-top-0.2.5"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-lock-api-0.4.9"
- spdxElementId: "SPDXRef-Package-Crate-spinning-top-0.2.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-spinning-top-0.2.5-vcs"
- spdxElementId: "SPDXRef-Package-Crate-spinning-top-0.2.5"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-spinning-top-0.2.5-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-syn-2.0.10"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-proc-macro2-1.0.54"
- spdxElementId: "SPDXRef-Package-Crate-syn-2.0.10"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-unicode-ident-1.0.8"
- spdxElementId: "SPDXRef-Package-Crate-syn-2.0.10"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-quote-1.0.26"
- spdxElementId: "SPDXRef-Package-Crate-syn-2.0.10"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-syn-2.0.10-vcs"
- spdxElementId: "SPDXRef-Package-Crate-syn-2.0.10"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-syn-2.0.10-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-token-cell-1.5.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-paste-1.0.12"
- spdxElementId: "SPDXRef-Package-Crate-token-cell-1.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-token-cell-1.5.0-vcs"
- spdxElementId: "SPDXRef-Package-Crate-token-cell-1.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-token-cell-1.5.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-uhlc-0.5.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-hex-0.4.3"
- spdxElementId: "SPDXRef-Package-Crate-uhlc-0.5.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-serde-1.0.158"
- spdxElementId: "SPDXRef-Package-Crate-uhlc-0.5.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-spin-0.9.6"
- spdxElementId: "SPDXRef-Package-Crate-uhlc-0.5.2"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-uuid-1.3.0"
- spdxElementId: "SPDXRef-Package-Crate-uhlc-0.5.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-uhlc-0.5.2-vcs"
- spdxElementId: "SPDXRef-Package-Crate-uhlc-0.5.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-uhlc-0.5.2-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-unicode-ident-1.0.8"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-unicode-ident-1.0.8-vcs"
- spdxElementId: "SPDXRef-Package-Crate-unicode-ident-1.0.8"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-unicode-ident-1.0.8-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-uuid-1.3.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-getrandom-0.2.8"
- spdxElementId: "SPDXRef-Package-Crate-uuid-1.3.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-uuid-1.3.0-vcs"
- spdxElementId: "SPDXRef-Package-Crate-uuid-1.3.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-uuid-1.3.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1-vcs"
- spdxElementId: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Crate-wasi-0.11.0.wasi-snapshot-preview1-source-artifact"
- spdxElementId: "SPDXRef-Project-Cargo-nostd-check-0.1.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-getrandom-0.2.8"
- spdxElementId: "SPDXRef-Project-Cargo-nostd-check-0.1.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-linked-list-allocator-0.10.5"
- spdxElementId: "SPDXRef-Project-Cargo-nostd-check-0.1.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-zenoh-buffers-0.7.0-rc"
- spdxElementId: "SPDXRef-Project-Cargo-nostd-check-0.1.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-zenoh-codec-0.7.0-rc"
- spdxElementId: "SPDXRef-Project-Cargo-nostd-check-0.1.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Crate-zenoh-protocol-0.7.0-rc"
